/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "~primeng/resources/primeng.css";
@import "datepicker.theme";

.ui-toast-message {
  -webkit-box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
  -moz-box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
  box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.16);
  margin: 0 0 1em 0;
}

.ui-toast-message.ui-toast-message-info {
  background-color: #7fbcec;
  border: 0 none;
  color: #212121;
}

.ui-toast-message.ui-toast-message-info .ui-toast-close-icon {
  color: #212121;
}

.ui-toast-message.ui-toast-message-success {
  background-color: #b7d8b7;
  border: 0 none;
  color: #212121;
}

.ui-toast-message.ui-toast-message-success .ui-toast-close-icon {
  color: #212121;
}

.ui-toast-message.ui-toast-message-warn {
  background-color: #ffe399;
  border: 0 none;
  color: #212121;
}

.ui-toast-message.ui-toast-message-warn .ui-toast-close-icon {
  color: #212121;
}

.ui-toast-message.ui-toast-message-error {
  background-color: #f8b7bd;
  border: 0 none;
  color: #212121;
}

.ui-toast-message.ui-toast-message-error .ui-toast-close-icon {
  color: #212121;
}

.ui-toast-message.ui-toast-message-error .ui-toast-message-content .ui-toast-icon::before {
  @include material-icon-mixin(1em);
  content: "error";
}

.ui-toast-message.ui-toast-message-warn .ui-toast-message-content .ui-toast-icon::before {
  @include material-icon-mixin(1em);
  content: "warning";
}

.ui-toast-message.ui-toast-message-success .ui-toast-message-content .ui-toast-icon::before {
  @include material-icon-mixin(1em);
  content: "done";
}

.ui-toast-message.ui-toast-message-info .ui-toast-message-content .ui-toast-icon::before {
  @include material-icon-mixin(1em);
  transform: rotate(180deg);
  content: "error_outline";
}

.ui-toast-close-icon::before {
  @include material-icon-mixin();
  content: "close";
}

.ui-toast-close-icon {
  outline: none;
}
